import { Vector3 } from "@minecraft/server";
import AbstractAgentTrackMission from "../../Commandeer/level/abstractTrackFollowMission";
import { vector3 } from "../../Commandeer/utils/vectorUtils";

const Level1CommandBlockPos: Vector3 = vector3(2495, -1, 27);

const level1StartPosition: Vector3 = vector3(2492, -2, 26);
const level1AgentFacing: Vector3 = vector3(0, 0, 1);
const Level1EndPosition: Vector3 = vector3(2484, -2, 32);

const mission3part2: AbstractAgentTrackMission = new AbstractAgentTrackMission(
  "mission3part2",
  level1StartPosition,
  level1AgentFacing,
  Level1EndPosition,
  Level1CommandBlockPos
);

export default mission3part2;
